org.modeshape.jcr.query.validate

## Class Validator

- java.lang.Object
- - org.modeshape.jcr.query.model.Visitors.AbstractVisitor
  - - org.modeshape.jcr.query.validate.Validator

- All Implemented Interfaces:
    Visitor

      public class Validator
      extends Visitors.AbstractVisitor

  A `Visitor` implementation that validates a query's used of a `Schemata` and records any problems as errors.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Validator(QueryContext context, Map<SelectorName,Schemata.Table> selectorsByName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `checkVariationsOfPropertyName(SelectorName selector, String propertyName, Schemata.Table actualTable, Problems problems)`
    `protected String` | `readable(Visitable visitable)`
    `protected Schemata.Table` | `tableWithNameOrAlias(SelectorName tableName)`
    `protected Schemata.Table` | `verify(SelectorName selectorName)`
    `protected Schemata.Column` | `verify(SelectorName selectorName, String propertyName, boolean columnIsRequired)`
    `protected void` | `verifyArithmeticOperand(DynamicOperand operand)`
    `protected void` | `verifyComparison(DynamicOperand operand, Operator op, StaticOperand rhs)`
    `protected void` | `verifyOperator(SelectorName selectorName, String propertyName, Operator op)`
    `protected void` | `verifyOrdering(DynamicOperand operand)`
    `protected void` | `verifyOrdering(SelectorName selectorName, String propertyName)`
    `protected void` | `verifyPath(String pathStr)`
    `protected Schemata.Table` | `verifyTable(SelectorName tableName)`
    `void` | `visit(AllNodes obj)`
    `void` | `visit(ArithmeticOperand obj)`
    `void` | `visit(ChildCount obj)`
    `void` | `visit(ChildNode obj)`
    `void` | `visit(ChildNodeJoinCondition obj)`
    `void` | `visit(Column obj)`
    `void` | `visit(Comparison obj)`
    `void` | `visit(DescendantNode obj)`
    `void` | `visit(DescendantNodeJoinCondition obj)`
    `void` | `visit(EquiJoinCondition obj)`
    `void` | `visit(FullTextSearch obj)`
    `void` | `visit(FullTextSearchScore obj)`
    `void` | `visit(Length obj)`
    `void` | `visit(LowerCase obj)`
    `void` | `visit(NamedSelector obj)`
    `void` | `visit(NodeDepth obj)`
    `void` | `visit(NodeLocalName obj)`
    `void` | `visit(NodeName obj)`
    `void` | `visit(NodePath obj)`
    `void` | `visit(Ordering obj)`
    `void` | `visit(PropertyExistence obj)`
    `void` | `visit(PropertyValue obj)`
    `void` | `visit(Query obj)`
    `void` | `visit(ReferenceValue obj)`
    `void` | `visit(SameNode obj)`
    `void` | `visit(SameNodeJoinCondition obj)`
    `void` | `visit(Subquery subquery)`

    - ### Methods inherited from class org.modeshape.jcr.query.model.Visitors.AbstractVisitor

      `visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Validator

          public Validator(QueryContext context,
                   Map<SelectorName,Schemata.Table> selectorsByName)

      Parameters:
        `context` - the query context
        `selectorsByName` - the `tables` by their name or alias, as defined by the selectors

  - ### Method Detail

    - #### visit

          public void visit(AllNodes obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(ArithmeticOperand obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### verifyArithmeticOperand

          protected void verifyArithmeticOperand(DynamicOperand operand)

    - #### visit

          public void visit(ChildCount obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(ChildNode obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(ChildNodeJoinCondition obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(Column obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(Comparison obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(DescendantNode obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(DescendantNodeJoinCondition obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(EquiJoinCondition obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(FullTextSearch obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(FullTextSearchScore obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(Length obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(LowerCase obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(NamedSelector obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(NodeDepth obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(NodeLocalName obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(NodeName obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(NodePath obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(Ordering obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(PropertyExistence obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(PropertyValue obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(ReferenceValue obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(Query obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(Subquery subquery)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(SameNode obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(SameNodeJoinCondition obj)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### readable

          protected String readable(Visitable visitable)

    - #### verifyOrdering

          protected void verifyOrdering(DynamicOperand operand)

    - #### verifyOrdering

          protected void verifyOrdering(SelectorName selectorName,
                            String propertyName)

    - #### verifyComparison

          protected void verifyComparison(DynamicOperand operand,
                              Operator op,
                              StaticOperand rhs)

    - #### verifyOperator

          protected void verifyOperator(SelectorName selectorName,
                            String propertyName,
                            Operator op)

    - #### tableWithNameOrAlias

          protected Schemata.Table tableWithNameOrAlias(SelectorName tableName)

    - #### verify

          protected Schemata.Table verify(SelectorName selectorName)

    - #### verifyTable

          protected Schemata.Table verifyTable(SelectorName tableName)

    - #### verifyPath

          protected void verifyPath(String pathStr)

    - #### verify

          protected Schemata.Column verify(SelectorName selectorName,
                               String propertyName,
                               boolean columnIsRequired)

    - #### checkVariationsOfPropertyName

          protected boolean checkVariationsOfPropertyName(SelectorName selector,
                                              String propertyName,
                                              Schemata.Table actualTable,
                                              Problems problems)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.